## org.apache.commons.collections
Class FunctorException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.commons.collections.FunctorException

All Implemented Interfaces:
  Serializable

public class FunctorException
extends RuntimeException

Runtime exception thrown from functors. If required, a root cause error can be wrapped within this one.

Since:
  Commons Collections 3.0
Version:
  $Revision: 1.6 $ $Date: 2004/02/18 01:15:42 $
Author:
  Stephen Colebourne
See Also:
  Serialized Form

Constructor Summary
`FunctorException()` Constructs a new `FunctorException` without specified detail message.
`FunctorException(String msg)` Constructs a new `FunctorException` with specified detail message.
`FunctorException(String msg, Throwable rootCause)` Constructs a new `FunctorException` with specified detail message and nested `Throwable` root cause.
`FunctorException(Throwable rootCause)` Constructs a new `FunctorException` with specified nested `Throwable` root cause.

Method Summary
`Throwable` `getCause()` Gets the cause of this throwable.
`void` `printStackTrace()` Prints the stack trace of this exception to the standard error stream.
`void` `printStackTrace(PrintStream out)` Prints the stack trace of this exception to the specified stream.
`void` `printStackTrace(PrintWriter out)` Prints the stack trace of this exception to the specified writer.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FunctorException

    public FunctorException()

  Constructs a new `FunctorException` without specified detail message.

### FunctorException

    public FunctorException(String msg)

  Constructs a new `FunctorException` with specified detail message.

Parameters:
  `msg` - the error message.

### FunctorException

    public FunctorException(Throwable rootCause)

  Constructs a new `FunctorException` with specified nested `Throwable` root cause.

Parameters:
  `rootCause` - the exception or error that caused this exception to be thrown.

### FunctorException

    public FunctorException(String msg,
                            Throwable rootCause)

  Constructs a new `FunctorException` with specified detail message and nested `Throwable` root cause.

Parameters:
  `msg` - the error message.
  `rootCause` - the exception or error that caused this exception to be thrown.

Method Detail

### getCause

    public Throwable getCause()

  Gets the cause of this throwable.

  Returns:
    the cause of this throwable, or `null`

### printStackTrace

    public void printStackTrace()

  Prints the stack trace of this exception to the standard error stream.

### printStackTrace

    public void printStackTrace(PrintStream out)

  Prints the stack trace of this exception to the specified stream.

  Parameters:
    `out` - the `PrintStream` to use for output

### printStackTrace

    public void printStackTrace(PrintWriter out)

  Prints the stack trace of this exception to the specified writer.

  Parameters:
    `out` - the `PrintWriter` to use for output

Copyright © 2001-2005 Apache Software Foundation. All Rights Reserved.